org.apache.activemq.artemis.api.core

## Class JsonUtil

- java.lang.Object
- - org.apache.activemq.artemis.api.core.JsonUtil

-     public final class JsonUtil
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addToArray(Object param, javax.json.JsonArrayBuilder jsonArrayBuilder)`
    `static void` | `addToObject(String key, Object param, javax.json.JsonObjectBuilder jsonObjectBuilder)`
    `static Object` | `convertJsonValue(Object jsonValue, Class desiredType)`
    `static Object[]` | `fromJsonArray(javax.json.JsonArray jsonArray)`
    `static javax.json.JsonValue` | `nullSafe(String input)`
    `static javax.json.JsonArray` | `readJsonArray(String jsonString)`
    `static javax.json.JsonObject` | `readJsonObject(String jsonString)`
    `static Map<String,String>` | `readJsonProperties(String jsonString)`
    `static javax.json.JsonArray` | `toJsonArray(List<String> strings)`
    `static javax.json.JsonArray` | `toJSONArray(Object[] array)`
    `static javax.json.JsonArrayBuilder` | `toJsonArrayBuilder(byte[] byteArray)`
    `static javax.json.JsonObject` | `toJsonObject(Map<String,?> map)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### toJSONArray

          public static javax.json.JsonArray toJSONArray(Object[] array)
                                                  throws Exception

      Throws:
        `Exception`

    - #### fromJsonArray

          public static Object[] fromJsonArray(javax.json.JsonArray jsonArray)
                                        throws Exception

      Throws:
        `Exception`

    - #### nullSafe

          public static javax.json.JsonValue nullSafe(String input)

    - #### addToObject

          public static void addToObject(String key,
                                         Object param,
                                         javax.json.JsonObjectBuilder jsonObjectBuilder)

    - #### addToArray

          public static void addToArray(Object param,
                                        javax.json.JsonArrayBuilder jsonArrayBuilder)

    - #### toJsonArray

          public static javax.json.JsonArray toJsonArray(List<String> strings)

    - #### toJsonObject

          public static javax.json.JsonObject toJsonObject(Map<String,?> map)

    - #### toJsonArrayBuilder

          public static javax.json.JsonArrayBuilder toJsonArrayBuilder(byte[] byteArray)

    - #### readJsonArray

          public static javax.json.JsonArray readJsonArray(String jsonString)

    - #### readJsonObject

          public static javax.json.JsonObject readJsonObject(String jsonString)

    - #### readJsonProperties

          public static Map<String,String> readJsonProperties(String jsonString)

    - #### convertJsonValue

          public static Object convertJsonValue(Object jsonValue,
                                                Class desiredType)

Copyright © 2020 The Apache Software Foundation. All rights reserved.